package com.ruoyi.school.paper.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 答题卷结果单项
 * <p>created in  2023/7/21 19:07
 *
 * @author WangMin
 * @version 1.0
 */
@Data
public class TestPaperAnswerItemBo {

    /**
     * 问题ID
     */
    @NotNull(message = "问题id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long id;

    /**
     * 学生答题内容
     */
    private String answer;
}
