package com.ruoyi.school.paper.mapper;

import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.school.paper.domain.DbQuestionBankTestPaper;
import com.ruoyi.school.paper.domain.vo.DbQuestionBankTestPaperVo;
import com.ruoyi.school.paper.domain.vo.TestQuestionsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 试卷题库主Mapper接口
 *
 * @author zyf
 * @date 2023-07-20
 */
@Mapper
public interface DbQuestionBankTestPaperMapper extends BaseMapperPlus<DbQuestionBankTestPaperMapper, DbQuestionBankTestPaper, DbQuestionBankTestPaperVo> {


    /**
     * 查询试卷所有考题
     *
     * @return 试卷
     */
    List<TestQuestionsVo> selectTestPaperQuestion(@Param("paperId") Long paperId);

}
